#
# Build stage
#
#FROM maven:3.6.0-jdk-11-slim AS build
#COPY src /home/app/src
#COPY pom.xml /home/app
#RUN mvn -f /home/app/pom.xml clean package -Pprod -Dmaven.test.skip

#
# Package stage
#
FROM openjdk:11-jre-slim
#COPY --from=build /home/app/target/lolstat_api-0.0.1-SNAPSHOT.jar /usr/local/lib/app.jar
COPY lolstat_api-0.0.1-SNAPSHOT.jar /usr/local/lib/app.jar
ENTRYPOINT ["java","-jar","/usr/local/lib/app.jar"]

